Run Commands

Get Started

Announcements

  • Pachyderm 2.9.0 is out! Download it here.
  • The next minor release, 2.10, will require Postgres 15 or later.
  • View our Changelog!

Community & Events

Join our Slack Community to get help and leave feedback.

Check out our GitHub Repo.

Deploy Anywhere

Discover how to set up Pachyderm locally or in the cloud.

Follow Tutorials

Data Preparation

Learn how to mount, ingest, and batch data to use in your pipelines.

Pipeline

Learn how to build a docker image containing your transformation code and build various types of pipelines.

1. Install

pip install pachyderm_sdk

2. Import

from pachyderm_sdk import Client from pachyderm_sdk.api import pfs, pps

3. Test Your Connection

c = Client(host="localhost", port="80") version = c.get_version() print(version)